Bug 1250115 - RFE: dnf download --url
RFE: dnf download --url
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: dnf-plugins-core (Show other bugs)
24
Unspecified Unspecified
low Severity unspecified
: ---
: ---
Assigned To: rpm-software-management
Fedora Extras Quality Assurance
: FutureFeature, Reopened, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-04 10:36 EDT by Ian Collier
Modified: 2017-03-10 05:41 EST (History)
13 users (show)

See Also:
Fixed In Version: dnf-plugins-core-1.0.2-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-03-10 05:41:10 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ian Collier 2015-08-04 10:36:59 EDT
If I say "yumdownloader --url X" it does what I want but whines that I should have used dnf instead.  However, there does not currently appear to be an equivalent of this command in dnf.
Comment 1 Honza Silhan 2015-08-11 09:42:34 EDT
We could implement such feature that would print urls of package instead of downloading. Btw why do you want such a feature. How do you process urls afterwards?
Comment 2 Ian Collier 2015-08-14 09:48:23 EDT
The URL is useful if I want to trial packages across different versions of
Fedora or CentOS.

For instance, if I want to see if the F22 version of FOO works on F21:

f22$ yumdownloader --url foo
http://some-mirror-service/fedora/linux/updates/22/x86_64/f/foo-12.2-1.fc22.x86_64.rpm

f21$ wget http://some-mirror-service/fedora/linux/updates/22/x86_64/f/foo-12.2-1.fc22.x86_64.rpm
f21$ rpm -Uvh --test foo-12.2-1.fc22.x86_64.rpm

Or maybe I want to install BAR on CentOS where that package is not available:

f22$ yumdownloader --url --source bar
http://some-mirror-service/fedora/linux/updates/22/SPRMS/b/bar-0.6.23-2.fc22.src.rpm

centos$ wget http://some-mirror-service/fedora/linux/updates/22/SPRMS/b/bar-0.6.23-2.fc22.src.rpm
centos$ rpmbuild --rebuild bar-0.6.23-2.fc22.src.rpm

It's also sometimes useful for answering the question "if I were to install BAZ now, which version would I get and which repo would it come from?".  I understand that to a large extent "dnf list" can answer that query.
Comment 3 Pavel Raiskup 2015-10-15 16:28:56 EDT
I vote for this too.  How I used it with yum-utils:

repoquery --disablerepo='*' \
--enablerepo hell \
--repofrompath=hell,ftp://ftp.linux.cz/pub/linux/fedora/linux/development/rawhide/source/SRPMS \
--whatrequires postgresql-devel --location --arch src

My workflow is something like:  (a) try to package some experimental feature
in PostgreSQL, package it and build it in in Copr (b) get the list above by
repoquery and then (c) rebuild all those packages.
Comment 4 Fedora Admin XMLRPC Client 2016-07-08 05:24:46 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Fedora End Of Life 2016-07-19 13:20:47 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 7 Jaroslav Mracek 2017-03-10 05:41:10 EST
 The problem was fixed in dnf-plugins-core-1.0.2-1 released into rawhide.

Note You need to log in before you can comment on or make changes to this bug.